%global srcname ta-lib

Name:           python-%{srcname}
Version:        0.6.3
Release:        %autorelease
Summary:        Python wrapper for TA-Lib
License:        BSD
URL:            https://github.com/ta-lib/ta-lib-python
Source0:        %{url}/archive/refs/tags/TA_Lib-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy
BuildRequires:  python3-pytest
BuildRequires:  python3-pandas
BuildRequires:  gcc
BuildRequires:  ta-lib-devel >= 0.4.0
BuildRequires:  chrpath

# Runtime requirements
Requires:       python3-numpy
Requires:       ta-lib >= 0.4.0

%description
Python wrapper for TA-Lib (Technical Analysis Library).
This library wraps the TA-Lib which is widely used by trading software
developers requiring to perform technical analysis of financial market data.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Python 3 wrapper for TA-Lib (Technical Analysis Library).
This library wraps the TA-Lib which is widely used by trading software
developers requiring to perform technical analysis of financial market data.

%prep
%autosetup -n ta-lib-python-TA_Lib-%{version}

%build
export TA_LIBRARY_PATH=%_libdir
%py3_build

%install
%py3_install

# Remove standard runpath if still present
find %{buildroot} -type f -name "*.so" -exec chrpath --delete {} \; || true

%check
# Skip test_polars.py since python-polars is not available in Fedora
PYTHONPATH=%{buildroot}%__python3_sitearch pytest --ignore=tests/test_polars.py

%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitearch}/talib/
%{python3_sitearch}/ta_lib-%{version}-py%{python3_version}.egg-info/

%changelog
%autochangelog
